<html>
	<head>
		<meta http-equiv="refresh" content="60">
		<meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate">
		<meta http-equiv="Pragma" content="no-cache">
		<meta http-equiv="Expires" content="0">
	</head>
	<body>
		<table border="1"><tr>
			<td><b>Postazione</b></td>
			<td><b>Mac</b></td>
			<td><b>Alarm</b></td>
			<td><b>Buffer Level</b></td>
			<td><b>Latency</b></td>
			<td><b>Frame Loss</b></td>
			<td><b>Frame Dup</b></td>
			<td><b>Frame Drop</b></td>
			<td><b>Soft Error Count</b></td>
			<td><b>Stream Number</b></td>
			<td><b>Bitrate</b></td>
			<td><b>Reconnects</b></td>
			<td><b>Error</b></td>
			<td><b>Volume</b></td>
			<td><b>UpTime</b></td>
			<td><b>IP_address</b></td>
			<td><b>URL</b></td>
			<td><b>Last Online</b></td>
			<td><b>Last Alarm</b></td>						
			<td><b>Ext IP</b></td>
			</tr>
<?php

$now = time();
$db = new SQLite3('barimon.db');

// carico dati ed esplodo array info

$res = $db->query("SELECT * FROM barix ORDER BY postazione ASC");
while ($row = $res->fetchArray()) {
	$partial = explode(',', $row['info']);
	$final = array();
	array_walk($partial, function($val,$key) use(&$final){
		list($key, $value) = explode('=', $val);
		$final[$key] = $value;
	});
	
	// rendo leggibile uptime da secondi a giorni ore etc
	
	$day = floor($final["UpTime"] / 86400);
	$hours = floor(($final["UpTime"] -($day*86400)) / 3600);
	$minutes = floor(($final["UpTime"] / 60) % 60);
	$seconds = $final["UpTime"] % 60;
	
	// rendo leggibili lastonline e lasterror	
	
	$lastonline = date('Y-m-d H:i:s', $row['lastonline']);
	$lasterror = date('Y-m-d H:i:s', $row['lasterror']);
	
	// stampo riga
	
	echo "<tr><td>", $row['postazione'], "</td><td>", $row['mac'], "</td><td>";   

	if ($row['alarm'] == 'false'){echo "<img src=\"green.png\">";}
	else if($row['alarm'] == 'true'){echo "<img src=\"red.png\">";}

	echo "</td><td>",  
		$final['BufferLevel'], "</td><td>", 
		$final['Latency'], "</td><td>", 
		$final['FrameLoss'], "</td><td>", 
		$final['FrameDup'], "</td><td>", 
		$final['FrameDrop'], "</td><td>", 
		$final['SoftErrorCount'], "</td><td>", 
		$final['StreamNumber'], "</td><td>", 
		$final['Bitrate'], "</td><td>", 
		$final['Reconnects'], "</td><td>", 
		$final['Error'], "</td><td>", 
		$final['Volume'], "</td><td>", 
		"$day days $hours:$minutes:$seconds</td><td>", 
		$final['IP_address'], "</td><td>", 
		$final['URL'], "</td><td>";
			  
		$downtime = $now - $row['lastonline'];
		if($downtime > 300){echo "<font color=\"#FF0000\"><b>", $lastonline, "</b></font></td><td>";}
		else {echo $lastonline, "</td><td>";}
			  
		echo $lasterror, "</td><td><a href=\"http://", $row['extaddr'], "\">", $row['extaddr'], "</a></td></tr>\n";
}

?>

		</table>
	</body>
</html>